
version: 2

models:
  - name: shopify_daily_orders
    description: " Daily total sales $ and number of orders in the same chart"
    columns:
      - name: ORDER_DATE
        description: "Date of Order"
        tests:
          - not_null
      - name: TOTAL_SALES
        description: "Sum of total price rounded up to 2 DF"
        tests: 
          - not_null
      - name: NUMBER_OF_ORDERS
        description: "Count of number of orders by the day"
        tests: 
          - not_null

  - name: shopify_daily_average_order
    description: "Daily average order value"
    columns:
      - name: ORDER_DATE
        description: "Date of Order"
        tests:
          - not_null
      - name: DAILY_AVERAGE_ORDER_VALUE
        description: "Average of the total price of orders by day"
        tests: 
          - not_null

  - name: shopify_monthly_refund_orders
    description: "Monthly number of refund orders group by refund reason"
    columns: 
      - name: Month_Year
        description: "Year, Month grouping of date"
        tests:
          - not_null
      - name: Refund_Reason
        description: "Refund reason"
        tests: 
          - not_null
      - name: Order_Count
        description: "Count of distinct orders"
        tests:
          - not_null

  - name: shopify_top_selling_product
    description: "Top selling product title (ranked by sales) for a selected period of time"
    columns: 
      - name: Order_Date
        description: "Created at of order line"
        tests:
          - not_null
      - name: PRODUCT_TITLE
        description: "Product Title"
        tests:
          - not_null
      - name: SALES
        description: "Total price of order by created date"
        tests:
          - not_null
      - name: TOTAL_NUMBER_OF_PRODUCTS
        description: "Count of product"
        tests:
          - not_null

  - name: shopify_shipping_city_period
    description: "Sales $ by shipping city for a selected period of time"
    columns: 
      - name: CITY
        description: "Shipping city address"
        tests:
          - not_null
      - name: TOTAL_SALES
        description: "SUM OF TOTAL PRICE IN USD"
        tests:
          - not_null
      - name: ORDER_DATE
        description: "Created at of order"
        tests:
          - not_null

  - name: shopify_discount_price_orders
    description: "Discount Price, number of orders placed, total discount given by discount code"
    columns: 
      - name: code
        description: "Discount Code "
        tests:
          - not_null
      - name: order_date
        description: "Order Created at"
        tests:
          - not_null
      - name: Order_Count
        description: "Count of oder number"
        tests:
          - not_null
      - name : total_discounts
        description: "Sum of Total Discounts"
        tests: 
          - not_null










